


.marquee-outer {
    width: 100%;
    overflow: hidden;
}

.marquee-track {
    display: flex;
    width: fit-content;
    animation: marquee-scroll 40s linear infinite;
    will-change: transform;
    transform: translate3d(0, 0, 0);
}

.marquee-track:hover {
    animation-play-state: paused;
}

.marquee-group {
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

.logo-item iconify-icon {
    width: 120px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo-item {
    display: flex;
    align-items: center;
    padding: 30px 40px;
    flex-shrink: 0;
    opacity: 0.7;
    filter: grayscale(1);
    transition: all 0.4s ease;
}

@media (min-width: 1024px) {
    .logo-item:hover {
        opacity: 1;
        filter: grayscale(0);
        transform: scale(1.3);
    }
}

@keyframes marquee-scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translate(-50%);
    }
}

@media (max-width: 1023px) {
    .logo-item {
        opacity: 1 !important;
        filter: grayscale(0) !important;
        transform: none !important;
    }
}